#! /usr/bin/env bash

BASEDIR=".." # root of translatable sources
PROJECT="x2goplasmoid" # project name
BUGADDR="http://bugs.x2go.org" # MSGID-Bugs
WDIR=`pwd` # working dir

echo "Merging translations"
catalogs=`find . -name '*.po'`
for cat in $catalogs; do
echo $cat
msgmerge -o $cat.new $cat ${PROJECT}.pot
mv $cat.new $cat
done
echo "Done merging translations"
echo "Cleaning up"
cd ${WDIR}
echo "Done"
